\name{SimpleW-class}
\docType{class}
\alias{SimpleW-class}
\alias{SimpleW}
\alias{nItems}
\alias{itemNames}
\alias{defaultValue}
\alias{returnType}
\alias{RadButtonW-class}
\alias{RadButton}
\alias{DropDownW-class}
\alias{DropDown}
\alias{TypeInW-class}
\alias{TypeInW}
\alias{defaultValue,RadButtonW-method}
\alias{defaultValue,DropDownW-method}
\alias{defaultValue,TypeInW-method}
\alias{itemNames,RadButtonW-method}
\alias{itemNames,DropDownW-method}
\alias{nItems,RadButtonW-method}
\alias{nItems,DropDownW-method}
\alias{returnType,TypeInW-method}

\title{Class "SimpleW": A Class To Represent A Widget Type}
\description{
  The \code{SimpleW} is a virtual class used to provide a framework for
  representing the type of widget used to display and obtain information
  in the \code{widgetInvoke} package.  There are currently three
  subclasses, providing for radio buttons (\code{RadButtonW}), a drop
  down list (\code{DropDownW}) or text entry (\code{TypeInW})
}

\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("SimpleW", ...)}.
}
\section{Slots}{
  \describe{
    \item{\code{defaultValue}:}{Object of class \code{"character"}: This
      is the only slot defined by \code{SimpleW} and represents the
      default value of the argument.}
    \item{\code{nItems}:}{Object of class \code{"numeric"}: This is used
      by the \code{RadButtonW} and \code{DropDownW} subclasses, and
      describes how many objects are to be represented in their widget.}
    \item{\code{itemNames}:}{Object of class \code{"character"}: This is
      used by the \code{RadButtonW} and \code{DropDownW} subclasses, and
      is a character vector detailing the names of the objects to
      display in the widget.  The length of \code{itemNames} must match
      the value stored in the \code{nItems} slot.}
    \item{\code{returnType}:}{Object of class \code{"character"}: This is
      used by the \code{TypeInW} subclass, and specifies the return type
      of this argument (e.g. character, numeric, logical).}
    
  }
}
\section{Methods}{
    \item{defaultValue}{\code{signature(object = "SimpleW")}: Retrieves the
    defaultValue slot.}
    \item{nItems}{\code{signature(object = "RadButtonW")}: Retrieves
      the nItems slot.}
    \item{nItems}{\code{signature(object = "DropDownW")}: Retrieves
      the nItems slot.}
    \item{returnType}{\code{signature(object = "TypeInW")}: Retrieves the
      returnType slot.}
}
\author{Jeff Gentry}
\seealso{\code{\link{createWF}}, \code{\link{widgetInvoke}}}
\examples{
}
\keyword{classes}
