\name{fun2wFun}
\alias{fun2wFun}
\title{A Function To Generate wFun Objects For A Function}
\description{
  This function will take a function name and attempt to create a
  corresponding \code{\link{wFun}} object for it based off of available
  information about the function.
}
\usage{
fun2wFun(funName)
}
\arguments{
  \item{funName}{The name of the function to use}
}
\details{
  This function will first attempt to get the argument list for the
  requested function, and then create a basic/default \code{\link{wFun}}
  object for this function.  The \code{\link{wFun}} object can be
  further manipulated by the user, if desired.

  Typically, this function is primarily used internally by
  \code{\link{createWF}}.
}
\value{
  An object of class \code{\link{wFun}}, representing available
  knowledge about the requested function.
}
\author{Jeff Gentry}
\seealso{\code{\link{createWF}}, \code{\link{widgetInvoke}},
  \code{\link{wFun}}, \code{\link{writeWIxml}}, \code{\link{readWIxml}}}
\examples{
   z <- fun2wFun("apropos")
   funName(z)
   funArgList(z)
}
\keyword{utilities}
