\name{wFun-class}
\docType{class}
\alias{wFun-class}
\alias{wFun}
\alias{funArgList}
\alias{funName}
\alias{funArgList,wFun-method}
\alias{funName,wFun-method}

\title{Class "wFun": A Class To Represent A Function Widget}
\description{This class is used to model the information used in the
  \code{widgetInvoke} function.  Each object of this class represents
  the necessary information for a single function to create its widget
  interface.}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("wFun", ...)}.
}
\section{Slots}{
  \describe{
    \item{\code{funName}:}{Object of class \code{"character"}: The name
      of the function.} 
    \item{\code{funArgList}:}{Object of class \code{"list"}: A list of
      \code{funArg} objects, representing the arguments of this function.}
  }
}
\section{Methods}{
  \describe{
    \item{funArgList}{\code{signature(object = "wFun")}: Retrieves the
      \code{funArgList} slot.}
    \item{funName}{\code{signature(object = "wFun")}: Retrieves the
      \code{funName} slot.}
  }
}
\author{Jeff Gentry}
\seealso{\code{\link{createWF}}, \code{\link{widgetInvoke}},
  \code{\link{writeWIxml}}, \code{\link{readWIxml}}}
\examples{
     z <- readWIxml(system.file("wFun-example", "apropos.xml",
                  package="widgetInvoke"))
     funName(z)
     funArgList(z)
}
\keyword{classes}
